function SetCookie (name, value) {
    var argv = SetCookie.arguments;
    var argc = SetCookie.arguments.length;
    var path = (argc > 2) ? argv[2] : null;
    var domain = (argc > 3) ? argv[3] : null;
    var secure = (argc > 4) ? argv[4] : false;
    document.cookie = name + "=" + escape (value) +
        ((path == null) ? "" : ("; path=" + path)) +
        ((domain == null) ? "" : ("; domain=" + domain)) +
        ((secure == true) ? "; secure" : "");
}

function getCookieVal (offset) {
    var endstr = document.cookie.indexOf (";", offset);
    if (endstr == -1)
        endstr = document.cookie.length;
    return unescape(document.cookie.substring(offset, endstr));
}

function GetCookie (name) {
    var arg = name + "=";
    var alen = arg.length;
    var clen = document.cookie.length;
    var i = 0;
    while (i < clen) {
        var j = i + alen;
        if (document.cookie.substring(i, j) == arg)
        return getCookieVal (j);
        i = document.cookie.indexOf(" ", i) + 1;
        if (i == 0) break; 
    }
    return null;
}

function controlbox(wert) 
{
	if(wert == '')
	{
		var setbox = GetCookie("box");
		if(unescape(setbox) == "show")
		{
			showbox();
		}
		else
		{
			hidebox();
		}
	}
	else
	{
		SetCookie("box", wert);
		if(wert == "show")
		{
			showbox();
		}
		else
		{
			hidebox();
		}
	}
}
if(document.all)
{
	controlbox(wert = '');
}
else
{
	window.onload = controlbox('');
}

function showbox() 
{
	document.getElementById('editbox').style.margin = '30px 0px 0px 23px';
	document.getElementById('showbox').style.display = 'none';
	document.getElementById('hidebox').style.display = 'block';
}

function hidebox() 
{
	document.getElementById('editbox').style.margin = '30px 0px 0px -153px';
	document.getElementById('showbox').style.display = 'block';
	document.getElementById('hidebox').style.display = 'none';
}

function vorschau(url) 
{
	if(url != "")
	{
		var show = window.open('index.php?' + url, 'vorschau', 'width=800, height=500, top=50, left=50, status=1, toolbar=1, menubar=1, location=0, scrollbars=1, resizable=1');	
		show.focus();
	}
}

function open_(win) 
{
	document.getElementById('block').style.display = 'block';
	document.getElementById(win).style.display = 'block';
	if(document.all)
		document.getElementById('block').style.position = 'absolute';
}

function close_(win) 
{
	document.getElementById('block').style.display = 'none';
	document.getElementById(win).style.display = 'none';
}

function auto_check() 
{
	if(document.getElementById('check_auto').checked == true)
	{
		document.getElementById('sub_auto').style.display = 'block';
	}
	else
	{
		document.getElementById('sub_auto').style.display = 'none';
	}
}

function switch_(on, off) 
{
	document.getElementById(on).style.display = 'block';
	document.getElementById(off).style.display = 'none';
}
